export ILCSOFT=/Users/proj/soft/ilcsoft/v02-02-03

# -------------------------------------------------------------------- ---

# ---  Use the same compiler and python as used for the installation   ---

# -------------------------------------------------------------------- ---
export PATH=/usr/bin:${PATH}
export LD_LIBRARY_PATH=/usr/lib64:/usr/lib:${LD_LIBRARY_PATH}

export PATH=/usr/bin:${PATH}
export LD_LIBRARY_PATH=/usr/lib:${LD_LIBRARY_PATH}

export CXX=clang++
export CC=clang


#--------------------------------------------------------------------------------
#     LCCD
#--------------------------------------------------------------------------------
export LCCD="/Users/proj/soft/ilcsoft/v02-02-03/lccd/v01-05"
# --- additional LCCD commands ------- 
export LD_LIBRARY_PATH="$LCCD/lib:$LD_LIBRARY_PATH"


#--------------------------------------------------------------------------------
#     CondDBMySQL
#--------------------------------------------------------------------------------
export COND_DB_DEBUGLOG="/dev/stdout"
export CondDBMySQL="/Users/proj/soft/ilcsoft/v02-02-03/CondDBMySQL/CondDBMySQL_ILC-0-9-7"
# --- additional CondDBMySQL commands ------- 
export LD_LIBRARY_PATH="$CondDBMySQL/lib:$LD_LIBRARY_PATH"


#--------------------------------------------------------------------------------
#     LCIO
#--------------------------------------------------------------------------------
export LCIO="/Users/proj/soft/ilcsoft/v02-02-03/lcio/v02-17"
# --- additional LCIO commands ------- 
export PYTHONPATH="$LCIO/python:$LCIO/python/examples:$PYTHONPATH"
export PATH="$LCIO/tools:$LCIO/bin:$PATH"
export LD_LIBRARY_PATH="$LCIO/lib:$LCIO/lib64:$LD_LIBRARY_PATH"
# --- additional ROOT commands ------- 
test -r /opt/root/6.24.06/bin/thisroot.sh && . /opt/root/6.24.06/bin/thisroot.sh


#--------------------------------------------------------------------------------
#     Marlin
#--------------------------------------------------------------------------------
export MARLIN="/Users/proj/soft/ilcsoft/v02-02-03/Marlin/v01-17-01"
export LD_LIBRARY_PATH="$MARLIN/lib:$LD_LIBRARY_PATH"
# --- additional Marlin commands ------- 
export PATH="$MARLIN/bin:$PATH"
export MARLIN_DLL="/Users/proj/soft/ilcsoft/v02-02-03/MarlinDD4hep/v00-06/lib/libMarlinDD4hep.dylib:/Users/proj/soft/ilcsoft/v02-02-03/DDMarlinPandora/v00-12/lib/libDDMarlinPandora.dylib:/Users/proj/soft/ilcsoft/v02-02-03/MarlinReco/v01-32/lib/libMarlinReco.dylib:/Users/proj/soft/ilcsoft/v02-02-03/PandoraAnalysis/v02-00-01/lib/libPandoraAnalysis.dylib:/Users/proj/soft/ilcsoft/v02-02-03/LCFIVertex/v00-08/lib/libLCFIVertexProcessors.dylib:/Users/proj/soft/ilcsoft/v02-02-03/CEDViewer/v01-19/lib/libCEDViewer.dylib:/Users/proj/soft/ilcsoft/v02-02-03/Overlay/v00-22-03/lib/libOverlay.dylib:/Users/proj/soft/ilcsoft/v02-02-03/MarlinFastJet/v00-05-02/lib/libMarlinFastJet.dylib:/Users/proj/soft/ilcsoft/v02-02-03/LCTuple/v01-13/lib/libLCTuple.dylib:/Users/proj/soft/ilcsoft/v02-02-03/MarlinKinfit/v00-06/lib/libMarlinKinfit.dylib:/Users/proj/soft/ilcsoft/v02-02-03/MarlinTrkProcessors/v02-12/lib/libMarlinTrkProcessors.dylib:/Users/proj/soft/ilcsoft/v02-02-03/MarlinKinfitProcessors/v00-04-02/lib/libMarlinKinfitProcessors.dylib:/Users/proj/soft/ilcsoft/v02-02-03/ILDPerformance/v01-10/lib/libILDPerformance.dylib:/Users/proj/soft/ilcsoft/v02-02-03/Clupatra/v01-03/lib/libClupatra.dylib:/Users/proj/soft/ilcsoft/v02-02-03/Physsim/v00-04-01/lib/libPhyssim.dylib:/Users/proj/soft/ilcsoft/v02-02-03/LCFIPlus/v00-10-01/lib/libLCFIPlus.dylib:/Users/proj/soft/ilcsoft/v02-02-03/FCalClusterer/v01-00-01/lib/libFCalClusterer.dylib:/Users/proj/soft/ilcsoft/v02-02-03/ForwardTracking/v01-14/lib/libForwardTracking.dylib:/Users/proj/soft/ilcsoft/v02-02-03/ConformalTracking/v01-11/lib/libConformalTracking.dylib:/Users/proj/soft/ilcsoft/v02-02-03/LICH/v00-01/lib/libLICH.dylib:/Users/proj/soft/ilcsoft/v02-02-03/Garlic/v03-01/lib/libGarlic.dylib:/Users/proj/cdc/soft/MarlinTPC/v01-06/lib/libMarlinTPC.dylib:$MARLIN_DLL"


#--------------------------------------------------------------------------------
#     CLHEP
#--------------------------------------------------------------------------------
export CLHEP="/opt/clhep/2.4.5.1"
export CLHEP_BASE_DIR="$CLHEP"
export CLHEP_INCLUDE_DIR="$CLHEP/include"
# --- additional CLHEP commands ------- 
export PATH="$CLHEP_BASE_DIR/bin:$PATH"
export LD_LIBRARY_PATH="$CLHEP_BASE_DIR/lib:$LD_LIBRARY_PATH"


#--------------------------------------------------------------------------------
#     RAIDA
#--------------------------------------------------------------------------------
export RAIDA_HOME="/Users/proj/soft/ilcsoft/v02-02-03/RAIDA/v01-09"
# --- additional RAIDA commands ------- 
export PATH="$RAIDA_HOME/bin:$PATH"
export LD_LIBRARY_PATH="$RAIDA_HOME/lib:$LD_LIBRARY_PATH"


#--------------------------------------------------------------------------------
#     GEAR
#--------------------------------------------------------------------------------
export GEAR="/Users/proj/soft/ilcsoft/v02-02-03/gear/v01-09"
# --- additional GEAR commands ------- 
export PATH="$GEAR/tools:$GEAR/bin:$PATH"
export LD_LIBRARY_PATH="$GEAR/lib:$LD_LIBRARY_PATH"
# --- additional MarlinDD4hep commands ------- 


#--------------------------------------------------------------------------------
#     DD4hep
#--------------------------------------------------------------------------------
export DD4HEP="/Users/proj/soft/ilcsoft/v02-02-03/DD4hep/v01-11-02"
export DD4HEP_ENVINIT="${DD4HEP}/bin/thisdd4hep.sh"
# --- additional DD4hep commands ------- 
test -r ${DD4HEP_ENVINIT} && . ${DD4HEP_ENVINIT}


#--------------------------------------------------------------------------------
#     Geant4
#--------------------------------------------------------------------------------
export G4INSTALL="/opt/g4/10.6.0"
export G4ENV_INIT="$G4INSTALL/bin/geant4.sh"
export G4SYSTEM="Darwin-g++"
# --- additional Geant4 commands ------- 
test -r ${G4ENV_INIT} && { cd $(dirname ${G4ENV_INIT}) ; . ./$(basename ${G4ENV_INIT}) ; cd $OLDPWD ; }


#--------------------------------------------------------------------------------
#     Qt5
#--------------------------------------------------------------------------------
export QTDIR="/Users/proj/soft/ilcsoft/v02-02-03/Qt5/v5.15.2"
# --- additional Qt5 commands ------- 
export PATH="$QTDIR/bin:$PATH"
export LD_LIBRARY_PATH="$QTDIR/lib:$LD_LIBRARY_PATH"


#--------------------------------------------------------------------------------
#     XercesC
#--------------------------------------------------------------------------------
export XercesC_HOME="/Users/proj/soft/ilcsoft/v02-02-03/xercesc/3.2.2"
# --- additional XercesC commands ------- 
export PATH="$XercesC_HOME/bin:$PATH"
export LD_LIBRARY_PATH="$XercesC_HOME/lib:$LD_LIBRARY_PATH"


#--------------------------------------------------------------------------------
#     Boost
#--------------------------------------------------------------------------------
export BOOST_ROOT="/opt/osxws"
# --- additional Boost commands ------- 
# --- additional DDKalTest commands ------- 


#--------------------------------------------------------------------------------
#     KalTest
#--------------------------------------------------------------------------------
export KALTEST="/Users/proj/soft/ilcsoft/v02-02-03/KalTest/v02-05"
# --- additional KalTest commands ------- 
export LD_LIBRARY_PATH="$KALTEST/lib:$LD_LIBRARY_PATH"


#--------------------------------------------------------------------------------
#     aidaTT
#--------------------------------------------------------------------------------
export AIDATT="/Users/proj/soft/ilcsoft/v02-02-03/aidaTT/v00-10"
# --- additional aidaTT commands ------- 
export PATH="$AIDATT/bin:$PATH"
export LD_LIBRARY_PATH="$AIDATT/lib:$LD_LIBRARY_PATH"


#--------------------------------------------------------------------------------
#     GSL
#--------------------------------------------------------------------------------
export GSL_HOME="/opt/osxws"
# --- additional GSL commands ------- 
export PATH="$GSL_HOME/bin:$PATH"
export LD_LIBRARY_PATH="$GSL_HOME/lib:$LD_LIBRARY_PATH"


#--------------------------------------------------------------------------------
#     GBL
#--------------------------------------------------------------------------------
export GBL="/Users/proj/soft/ilcsoft/v02-02-03/GBL/V02-02-00"
# --- additional GBL commands ------- 
export LD_LIBRARY_PATH="$GBL/lib:$LD_LIBRARY_PATH"
# --- additional Eigen commands ------- 


#--------------------------------------------------------------------------------
#     CMake
#--------------------------------------------------------------------------------
# --- additional CMake commands ------- 
export PATH="/opt/osxws/bin:$PATH"
# --- additional DDMarlinPandora commands ------- 


#--------------------------------------------------------------------------------
#     MarlinUtil
#--------------------------------------------------------------------------------
# --- additional MarlinUtil commands ------- 
export LD_LIBRARY_PATH="/Users/proj/soft/ilcsoft/v02-02-03/MarlinUtil/v01-16-01/lib:$LD_LIBRARY_PATH"


#--------------------------------------------------------------------------------
#     CED
#--------------------------------------------------------------------------------
# --- additional CED commands ------- 
export PATH="/Users/proj/soft/ilcsoft/v02-02-03/CED/v01-09-03/bin:$PATH"
export LD_LIBRARY_PATH="/Users/proj/soft/ilcsoft/v02-02-03/CED/v01-09-03/lib:$LD_LIBRARY_PATH"


#--------------------------------------------------------------------------------
#     PandoraPFANew
#--------------------------------------------------------------------------------
export PANDORAPFANEW="/Users/proj/soft/ilcsoft/v02-02-03/PandoraPFANew/v03-13-02"
# --- additional PandoraPFANew commands ------- 
export LD_LIBRARY_PATH="$PANDORAPFANEW/lib:$LD_LIBRARY_PATH"
# --- additional MarlinTrk commands ------- 
export MARLINTRK="/Users/proj/soft/ilcsoft/v02-02-03/MarlinTrk/v02-09"
export LD_LIBRARY_PATH="$MARLINTRK/lib:$LD_LIBRARY_PATH"
# --- additional KalDet commands ------- 
export KALDET="/Users/proj/soft/ilcsoft/v02-02-03/KalDet/v01-14-01"
export LD_LIBRARY_PATH="$KALDET/lib:$LD_LIBRARY_PATH"
# --- additional KiTrack commands ------- 
export KITRACK="/Users/proj/soft/ilcsoft/v02-02-03/KiTrack/v01-10"
export LD_LIBRARY_PATH="$KITRACK/lib:$LD_LIBRARY_PATH"
# --- additional KiTrackMarlin commands ------- 
export KITRACKMARLIN="/Users/proj/soft/ilcsoft/v02-02-03/KiTrackMarlin/v01-13"
export LD_LIBRARY_PATH="$KITRACKMARLIN/lib:$LD_LIBRARY_PATH"
# --- additional MarlinReco commands ------- 
export MARLINRECO="/Users/proj/soft/ilcsoft/v02-02-03/MarlinReco/v01-32"
export LD_LIBRARY_PATH="$MARLINRECO/lib:$LD_LIBRARY_PATH"
# --- additional MarlinKinfit commands ------- 
export MARLINKINFIT="/Users/proj/soft/ilcsoft/v02-02-03/MarlinKinfit/v00-06"
export LD_LIBRARY_PATH="$MARLINKINFIT/lib:$LD_LIBRARY_PATH"


#--------------------------------------------------------------------------------
#     PandoraAnalysis
#--------------------------------------------------------------------------------
export PANDORA_ANALYSIS_DIR="/Users/proj/soft/ilcsoft/v02-02-03/PandoraAnalysis/v02-00-01"
# --- additional PandoraAnalysis commands ------- 
export PATH="$PANDORA_ANALYSIS_DIR/bin:$PATH"
export LD_LIBRARY_PATH="$PANDORA_ANALYSIS_DIR/lib:$LD_LIBRARY_PATH"


#--------------------------------------------------------------------------------
#     LCFIVertex
#--------------------------------------------------------------------------------
# --- additional LCFIVertex commands ------- 
export LD_LIBRARY_PATH="/Users/proj/soft/ilcsoft/v02-02-03/LCFIVertex/v00-08/lib:$LD_LIBRARY_PATH"


#--------------------------------------------------------------------------------
#     CEDViewer
#--------------------------------------------------------------------------------
# --- additional CEDViewer commands ------- 
export PATH="/Users/proj/soft/ilcsoft/v02-02-03/CEDViewer/v01-19/bin:$PATH"
export LD_LIBRARY_PATH="/Users/proj/soft/ilcsoft/v02-02-03/CEDViewer/v01-19/lib:$LD_LIBRARY_PATH"
# --- additional Overlay commands ------- 
# --- additional MarlinFastJet commands ------- 


#--------------------------------------------------------------------------------
#     MarlinTPC
#--------------------------------------------------------------------------------
export MARLINTPC="/Users/proj/cdc/soft/MarlinTPC/v01-06"
# --- additional MarlinTPC commands ------- 
export PATH="$MARLINTPC/bin:$PATH"
export LD_LIBRARY_PATH="$MARLINTPC/lib:$MARLINTPC/tpcconddata/lib:$LD_LIBRARY_PATH"


#--------------------------------------------------------------------------------
#     FastJet
#--------------------------------------------------------------------------------
export FastJet_HOME="/opt/fastjet/3.4.0"
# --- additional FastJet commands ------- 
export PATH="$FastJet_HOME/bin:$PATH"
export LD_LIBRARY_PATH="$FastJet_HOME/lib:$LD_LIBRARY_PATH"
# --- additional LCTuple commands ------- 
# --- additional KiTrack commands ------- 
# --- additional KiTrackMarlin commands ------- 
# --- additional MarlinTrkProcessors commands ------- 
# --- additional MarlinKinfitProcessors commands ------- 
# --- additional ILDPerformance commands ------- 
# --- additional Clupatra commands ------- 
# --- additional Physsim commands ------- 
# --- additional LCFIPlus commands ------- 
# --- additional FCalClusterer commands ------- 
# --- additional ForwardTracking commands ------- 
# --- additional ConformalTracking commands ------- 
# --- additional LICH commands ------- 
# --- additional PathFinder commands ------- 
# --- additional BBQ commands ------- 
# --- additional Garlic commands ------- 


#--------------------------------------------------------------------------------
#     lcgeo
#--------------------------------------------------------------------------------
export lcgeo_DIR="/Users/proj/soft/ilcsoft/v02-02-03/lcgeo/v00-16-07"
export lcgeo_ENVINIT="${lcgeo_DIR}/bin/thislcgeo.sh"
# --- additional lcgeo commands ------- 
test -r ${lcgeo_ENVINIT} && . ${lcgeo_ENVINIT}


#--------------------------------------------------------------------------------
#     DD4hepExamples
#--------------------------------------------------------------------------------
export DD4hepExamples="/Users/proj/soft/ilcsoft/v02-02-03/DD4hepExamples/v01-11-02"
# --- additional DD4hepExamples commands ------- 
export PATH="$DD4hepExamples/bin:$PATH"
export LD_LIBRARY_PATH="$DD4hepExamples/lib:$LD_LIBRARY_PATH"


#--------------------------------------------------------------------------------
#     SIO
#--------------------------------------------------------------------------------
export SIO_DIR="/opt/sio/v00-01"
# --- additional SIO commands ------- 
export PATH="$SIO_DIR/bin:$PATH"
export LD_LIBRARY_PATH="$SIO_DIR/lib:$LD_LIBRARY_PATH"


#--------------------------------------------------------------------------------
#     MySQL
#--------------------------------------------------------------------------------
export MYSQL_HOME="/opt/osxws"
export MYSQL_LIBDIR="$MYSQL_HOME/lib/mysql"
export MYSQL_PATH="$MYSQL_HOME"
export MYSQL="$MYSQL_HOME"
# --- additional MySQL commands ------- 
export PATH="$MYSQL_HOME/bin:$PATH"
export LD_LIBRARY_PATH="$MYSQL_HOME/lib64:$MYSQL_HOME/lib:$MYSQL_HOME/lib64/mysql:$MYSQL_HOME/lib/mysql:$LD_LIBRARY_PATH"


#--------------------------------------------------------------------------------
#     ILCUTIL
#--------------------------------------------------------------------------------
export ilcutil="/Users/proj/soft/ilcsoft/v02-02-03/ilcutil/v01-06-02"
# --- additional ILCUTIL commands ------- 
export LD_LIBRARY_PATH="$ilcutil/lib:$LD_LIBRARY_PATH"

# --- set DYLD_LIBRARY_PATH to LD_LIBRARY_PATH for MAC compatibility ---
export DYLD_LIBRARY_PATH=$LD_LIBRARY_PATH:$DYLD_LIBRARY_PATH
export DYLD_LIBRARY_PATH=`echo $DYLD_LIBRARY_PATH | sed -e 's;/opt/osxws/lib:;;g' -e 's;/opt/osxws/lib64:;;g' -e 's;::;:;g' -e 's;/usr/lib:;;g' -e 's;/usr/lib64:;;g'`:/opt/osxws/lib

